Subject: [6tisch] plugfest synchronization point 1

From: Xavier Vilajosana Guillen <[email-masked]>
Date: Thu, 6 Feb 2014 21:33:30 +0100

Dear all,

we reached the first synchronization point. I would like to call to
plugfest participants to provide a very quick status update and raise any
possible problem during the 6TiSCH call tomorrow. We will have some minutes
during the call to talk about that and start some planning.

regards,
Xavi

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Fri, 7 Feb 2014 07:53:39 +0000

Hello Xavi:

Cisco's contribution to the plugfest will be a demo of the backbone router functionality as presented at IETF 86 in Orlando, limited to the 6LoWPAN ND registration (RFC 6775).
I will have a sneak preview of efficient ND support (WiND) for those interested. The code will run on an IE3K industrial switch. The idea is to interface with one or more 6TiSCH root node(s) over Ethernet.

In order to connect to the switch acting as backbone router, the root node will need to implement RFC 6775 or WiND to advertise (towards the switch) any device that it learns (e.g. through RPL DAO) from the 15.4e TSCH side.

The root will use its own MAC address (the address on the Ethernet connection to the switch) as SLLA in the registration, but present a real unique identifier for each device in the 64-bit unique ID that it will need to infer in some fashion (sadly RPL is missing the unique ID, but if all the addresses are based on EUI 64 then that can be done in a trivial fashion). The dependency is that a same device claiming a same address must always appear with the same unique ID, otherwise the registration may be rejected as duplicate if it happens within lifetime.

The IE3K switch will act as 6LR on its SVI interface, and register the device. It will also defend the IPv6 address of the device on the Ethernet side using the root MAC address (the SLLA in the NS(ARO)).
As such, the demo will implement http://tools.ietf.org/html/draft-thubert-6lowpan-backbone-router-03#section-5.2 "ND Proxy Operations" and will enable a PC connected over Ethernet to ping a 6TiSCH device effectively forming a single heterogeneous multilink subnet.

So far, we are in line with the plan. Anyone interested to connect is certainly welcome!

Cheers,

Pascal

From: 6tisch [mailto:[email-masked]] On Behalf Of Xavier Vilajosana Guillen
Sent: jeudi 6 février 2014 21:34
To: [email-masked]
Subject: [6tisch] plugfest synchronization point 1

Dear all,

we reached the first synchronization point. I would like to call to plugfest participants to provide a very quick status update and raise any possible problem during the 6TiSCH call tomorrow. We will have some minutes during the call to talk about that and start some planning.

regards,
Xavi

---

From: Xavier Vilajosana Guillen <[email-masked]>
Date: Fri, 7 Feb 2014 09:33:37 +0100

Hi Pascal, this sounds awesome!! Let's see if we can hook some motes there
:-)
X

On Fri, Feb 7, 2014 at 8:53 AM, Pascal Thubert (pthubert) <
[email-masked]> wrote:

>  Hello Xavi:
>
>
>
> Cisco's contribution to the plugfest will be a demo of the backbone router
> functionality as presented at IETF 86 in Orlando, limited to the 6LoWPAN ND
> registration (RFC 6775).
>
> I will have a sneak preview of efficient ND support (WiND) for those
> interested. The code will run on an IE3K industrial switch. The idea is to
> interface with one or more 6TiSCH root node(s) over Ethernet.
>
>
>
> In order to connect to the switch acting as backbone router, the root node
> will need to implement RFC 6775 or WiND to advertise (towards the switch)
> any device that it learns (e.g. through RPL DAO) from the 15.4e TSCH side.
>
>
>
> The root will use its own MAC address (the address on the Ethernet
> connection to the switch) as SLLA in the registration, but present a real
> unique identifier for each device in the 64-bit unique ID that it will need
> to infer in some fashion (sadly RPL is missing the unique ID, but if all
> the addresses are based on EUI 64 then that can be done in a trivial
> fashion). The dependency is that a same device claiming a same address must
> always appear with the same unique ID, otherwise the registration may be
> rejected as duplicate if it happens within lifetime.
>
>
>
> The IE3K switch will act as 6LR on its SVI interface, and register the
> device. It will also defend the IPv6 address of the device on the Ethernet
> side using the root MAC address (the SLLA in the NS(ARO)).
>
> As such, the demo will implement
> http://tools.ietf.org/html/draft-thubert-6lowpan-backbone-router-03#section-5.2"ND Proxy Operations" and will enable a PC connected over Ethernet to ping
> a 6TiSCH device effectively forming a single heterogeneous multilink subnet.
>
>
>
> *From:* 6tisch [mailto:[email-masked]] *On Behalf Of *Xavier
> Vilajosana Guillen
> *Sent:* jeudi 6 février 2014 21:34
> *To:* [email-masked]
> *Subject:* [6tisch] plugfest synchronization point 1
>
>
>
> Dear all,
>
>
>

---

From: Nicola Accettura <[email-masked]>
Date: Fri, 7 Feb 2014 11:47:34 +0100

Hi Xavi,
the contribution of Telematics Lab (Politecnico di Bari) to the plugfest
will be a demonstration of some experimental multi-hop topologies scheduled
with DeTAS. By now, I think we can show constrained topologies (forcing RPL
parent selection in some way) with about 20 TelosB motes. Actually, we have
reduced the transmission power to allow motes to be deployed in small areas
(tx range of about 35 cm), but it would be nice to understand how much
space and time we will have at the plugfest. We are also planning to show
some on-line performance (those available on OpenWSN).
Let me know if this is ok and possible suggestions.

Kind regards
Nicola

2014-02-07 9:33 GMT+01:00 Xavier Vilajosana Guillen <
[email-masked]>:

>> Cisco's contribution to the plugfest will be a demo of the backbone
>> router functionality as presented at IETF 86 in Orlando, limited to the
>> 6LoWPAN ND registration (RFC 6775).
>>
>> In order to connect to the switch acting as backbone router, the root
>> node will need to implement RFC 6775 or WiND to advertise (towards the
>> switch) any device that it learns (e.g. through RPL DAO) from the 15.4e
>> TSCH side.
>>
>>
>>
> _______________________________________________
> 6tisch mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/6tisch
>
>

---

From: Xavier Vilajosana Guillen <[email-masked]>
Date: Fri, 7 Feb 2014 17:09:51 +0100

Hi Nicola,

that would be a good demonstrator. We still do not know information about
the room we will have. I will update with that information as soon as I
know about it.

thanks!
Xavi

On Fri, Feb 7, 2014 at 11:47 AM, Nicola Accettura
<[email-masked]>wrote:

>> Hi Pascal, this sounds awesome!! Let's see if we can hook some motes
>> there :-)
>> X
>>
>>

---

From: Thomas Watteyne <[email-masked]>
Date: Fri, 7 Feb 2014 10:04:24 -0800

Xavi,

As discussed during the call today, the contribution to the plugfest of
Linear Technology's (through its Dust Networks product group) will be to
demonstrate end-to-end connectivity between an Internet host and a
low-power node based running a protocol stack based on IEEE802.15.4e and
6LoWPAN.

This demonstration is in collaboration with Cisco. Specifically, we will
interconnect a low-power mesh (based on Linear's SmartMesh IP product line)
to the 6LoWPAN-ND-capable Cisco switch described by Pascal. Interconnection
will be done through an SBC in charge of 6LoWPAN compaction.

Data coming "down" from the Internet will go through the switch which
handles ND, the SBC taking care of 6LoWPAN compaction, and into the
SmartMesh IP low-power mesh. Data going "up" takes the inverse route.

As discussed during the call, time permitting, we can put together 1-2
slides with an overview of the architecture and technology demonstrated for
the next call.

Thomas

---

From: Xavier Vilajosana <[email-masked]>
Date: Sat, 8 Feb 2014 07:49:56 +0100

Hi Thomas,

that would be really impressive. As far as I understand the SBC will handle
NS management and 6LoWPAN compaction and will be connected through ethernet
to the Cisco router on one side and to one Smart Mesh IP manager in the
other. Right?

thanks for the update!
X

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Sat, 8 Feb 2014 08:26:08 +0000

Hello Xavi:

As you figured correctly, the data plane will be standard L2 forwarding between any PC connected to the switch and, in this case, the SBC(s).

The demo shows how pure control plane operations based on IPv6 ND ( RFC 6775 and proxy RFC 4861) can be used to enable a multilink subnet operation regardless of the details of the wireless IPv6 route-over mesh that is connected to the switch, and which in this demo will be based on Linear's SmartMesh IP. This characteristic is key to enable a smooth integration of existing and deployed technologies with upcoming 6TiSCH systems.

One good side item would be to document point by point why the objections in RFC 4903 do not apply in the 6TiSCH use case, and to most IoT use cases for that matter.

Another would be to revive http://tools.ietf.org/html/draft-thaler-ipngwg-multilink-subnet, explaining why and how we can build an hybrid of the two methods that are specified in the draft to form huge ML subnets for IoT applications such as described in http://www.ietf.org/id/draft-ietf-roll-rpl-industrial-applicability-02.txt .

Cheers,

Pascal

From: [email-masked] [mailto:[email-masked]] On Behalf Of Xavier Vilajosana
Sent: samedi 8 février 2014 07:50
To: Thomas Watteyne
Cc: Pascal Thubert (pthubert); [email-masked]
Subject: Re: [6tisch] plugfest synchronization point 1

Hi Thomas,

that would be really impressive. As far as I understand the SBC will handle NS management and 6LoWPAN compaction and will be connected through ethernet to the Cisco router on one side and to one Smart Mesh IP manager in the other. Right?

thanks for the update!
X

2014-02-07 19:04 GMT+01:00 Thomas Watteyne <[email-masked]<mailto:[email-masked]>>:
Xavi,

As discussed during the call today, the contribution to the plugfest of Linear Technology's (through its Dust Networks product group) will be to demonstrate end-to-end connectivity between an Internet host and a low-power node based running a protocol stack based on IEEE802.15.4e and 6LoWPAN.

This demonstration is in collaboration with Cisco. Specifically, we will interconnect a low-power mesh (based on Linear's SmartMesh IP product line) to the 6LoWPAN-ND-capable Cisco switch described by Pascal. Interconnection will be done through an SBC in charge of 6LoWPAN compaction.

Data coming "down" from the Internet will go through the switch which handles ND, the SBC taking care of 6LoWPAN compaction, and into the SmartMesh IP low-power mesh. Data going "up" takes the inverse route.

As discussed during the call, time permitting, we can put together 1-2 slides with an overview of the architecture and technology demonstrated for the next call.

Thomas

On Thu, Feb 6, 2014 at 11:53 PM, Pascal Thubert (pthubert) <[email-masked]<mailto:[email-masked]>> wrote:
Hello Xavi:

Cheers,

Pascal

From: 6tisch [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Xavier Vilajosana Guillen
Sent: jeudi 6 février 2014 21:34
To: [email-masked]<mailto:[email-masked]>
Subject: [6tisch] plugfest synchronization point 1

Dear all,

regards,
Xavi

_______________________________________________
6tisch mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/6tisch